%define upstream_name MooX-File-ConfigDir
%define upstream_version 0.005

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Moo eXtension for File::ConfigDir
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(File::ConfigDir)
BuildRequires:	perl(Moo::Role)
BuildRequires:	perl(namespace::autoclean)

BuildArch:	noarch

%{?perl_default_filter}

%description
Moo eXtension for File::ConfigDir.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.5.0-4pclos2017
- rebuild against updates

